/****************************************************************************
membug - Ad hoc program to track down a memory bug with Electric Fence

Use electric fence to track down a memory bug.  The bug for which this
was written has been fixed, but this code is being kept as a template
for the next nasty memory bug.

****************************************************************************/

#include "voxel.h"


int
main(int argc, char *argv[])
{
    voxel_array *ram;
    voxel_array *mum;
    long ramdim[] = {10,10};
    int  axes[]   = {0};
    int  flag;

    
    /* ram = pyvox.ramp([10,10], exim.uchar, 0) */
    ram  = vxl_create_array();
    flag = vxl_alloc_array(ram, INTP_UCHAR, 2, ramdim);
    flag = vxl_ramp(ram, 0);

    /* mum = ram.amax(0)      # Seg fault later */
    mum  = vxl_create_array();
    flag = vxl_amax(mum, ram, 1, axes);

    return 0;
}
