#! /bin/sh
#############################################################################
# test_all.sh - Set up environment for the regression test
#
# Copyright (c) 2002 Trustees of the University of Pennsylvania
# See the file COPYING for license terms.
# 
# This Bourne shell script sets up the paths variables in the environment
# to refer to the compiled Pyvox code in the build directory and then calls
# the master Python script for the regression tests.
#
# $Id: test_all.sh,v 1.3 2003/10/04 18:10:53 hughett Exp $ $Name: pyvox-0-72 $
##############################################################################

PYTHONPATH=./lib:$PYTHONPATH
LD_LIBRARY_PATH=./lib:$LD_LIBRARY_PATH
export PYTHONPATH LD_LIBRARY_PATH

test/test_all
